Name: 		exim-conf-milab
Summary: 	exim config for Machine Intelligence Laboratory
Version: 	1.0
Release: 	4
License: 	Not to be distributed outside of CUED
Group: 		CUED/MILAB/Configuration
Source: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/build-root-%{name}
Packager: 	Anna Langley <jal58@eng.cam.ac.uk>
Requires: 	exim
Url: 		http://mi.eng.cam.ac.uk/
BuildArch:	noarch
Distribution: 	MILAB

%description
Exim configuration for Machine Intelligence Lab

%prep

%setup -q

%build

%install
cp -r etc var $RPM_BUILD_ROOT

%clean

%files 
%defattr(444,root,root)
%config %attr(644,root,root) /etc/exim/exim.conf
%config %attr(644,root,root) /etc/exim/sysadmin.alias
%config %attr(644,root,root) /etc/exim/sysadmin.unames

%post
if [ ! -d /var/spool/mqueue ]
then
	mkdir /var/spool/mqueue
fi
chown mailuser.root /var/spool/mqueue
chmod 700 /var/spool/mqueue

if [ -x /etc/logrotate.d/exim ]
then
	cp /etc/logrotate.d/exim /etc/logrotate.d/exim.rpmsave
fi

cat<<EOF > /etc/logrotate.d/exim
/var/log/exim/main.log {
	compress
	dateext
	notifempty
	create 640 mailuser mail
	rotate 99
	weekly
	#maxage 365
	postrotate
		/etc/init.d/exim reload
	endscript
}

/var/log/exim/reject.log {
	compress
	dateext
	notifempty
	create 640 mailuser mail
	rotate 99
	size 4M
	#maxage 365
	postrotate
		/etc/init.d/exim reload
	endscript
}

/var/log/exim/panic.log {
	compress
	dateext
	notifempty
	create 640 mailuser mail
	rotate 99
	size 1M
	#maxage 365
	postrotate
		/etc/init.d/exim reload
	endscript
}
EOF

chown mailuser.man /var/spool/mqueue
chmod 700 /var/spool/mqueue


%changelog
* Wed Sep 15 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Modified log rotation config
  Fixed permissions problem
* Thu Sep 09 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Created initial RPM.

